ChangeSet 1.1370, 2003/07/03 15:52:29-07:00, willy@debian.org

[PATCH] Driver Core: fix firmware binary files
Fixes the sysfs binary file bug.


 drivers/base/firmware_class.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/base/firmware_class.c b/drivers/base/firmware_class.c
--- a/drivers/base/firmware_class.c	Thu Jul  3 18:16:20 2003
+++ b/drivers/base/firmware_class.c	Thu Jul  3 18:16:20 2003
@@ -149,7 +149,7 @@
 	if (offset + count > fw->size)
 		count = fw->size - offset;
 
-	memcpy(buffer, fw->data + offset, count);
+	memcpy(buffer + offset, fw->data + offset, count);
 	return count;
 }
 static int
@@ -198,7 +198,7 @@
 	if (retval)
 		return retval;
 
-	memcpy(fw->data + offset, buffer, count);
+	memcpy(fw->data + offset, buffer + offset, count);
 
 	fw->size = max_t(size_t, offset + count, fw->size);
 
